//********************************************************************************
//
//  Filename: cpubus_top.e
//
//  Description: load for all cpubfm ecode
//               with watch struct wrapper
//
//               ** Note that                                     **
//               ** when using watch_s in your system,            **
//               ** STOP_RUN and watch_s should be defined        **
//               ** in your testbech before loading this file     **
//
//  Major Revision Descriptions:
//  oishi          09/08/02         copied from UMA1.0 branch
//
//*********************************************************************************
<'
-- global toolbox --
import ../../../dv_toolbox/ecode/tb/toolbox.e;

-- common codes in cpubfm --
import cpubus_global.e;
import cpubus_definitions.e;
import cpubus_attributes.e;

-- cpubus protocol checker --
import ../chk/cpubus_protocol_checker.e;

-- cpubus master dirver --
import cpubus_master_driver.e;

-- cpubus slave driver --
import cpubus_slave_driver.e;

-- cpubus data extractor --
import cpubus_data_extractor.e;

-- misc functions --
import cpubus_misc_structs.e;

-- loading watch struct wrapper --
import cpubus_watch_struct.e;
'>
